KF5-CONFIG(1)

NAME
kf5-config - Toont de installatiepaden van Qt(TM) en Frameworks

SAMENVATTING

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path type] [--userpath type] [--install type] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

BESCHRIJVING

kf5-config is een commandoregelprogramma dat gebruikt wordt om informatie over de Frameworks-installatie of gebruikerspaden te verkrijgen.

Gebruik dit programma om te bepalen waar de verschillende aspecten van de Frameworks-installatie verblijven op uw systeem.

    Opmerking

    kf5-config is in hoofdzaak een achtergestelde vervanging voor kde4-config, terwijl het aanbevolen te gebruiken hulpmiddel qtpaths is (dat wordt meegeleverd met Qt(TM)).

OPTIES

--expandvars
    Expandeer ${prefix} en ${exec_prefix} in de uitvoer.

--prefix
    Gecompileerd in prefix voor Frameworks-bibliotheken.

--exec-prefix
    Gecompileerd in exec_prefix voor Frameworks-bibliotheken.

--libsuffix
    Gecompileerd in library path suffix.

--localprefix
    Prefix in $HOME gebruikt voor het schrijven van bestanden.

--version
    Versie van Qt(TM) en ingecompileerde versietekst voor Frameworks-bibliotheken en kf5-config

--kde-version
    Gecompileerd in versietekst voor Frameworks-bibliotheken.

--types
    Toon een lijst met alle beschikbare KDE-gegevensbrontypen.

--path type
    Zoekpad voor het gespecificeerde type.

--userpath type
    Gebruikerspad voor de typen: desktop|document

--install type
    Prefix voor het installeren van hulpbronbestanden naar.

--qt-prefix
    Installatievoorvoegsel voor Qt(TM).

--qt-binaries
    Locatie van geïnstalleerde binaire Qt(TM)-programma's.

--qt-libraries
    Locatie van de geïnstalleerde Qt(TM)-bibliotheken.

--qt-plugins
    Locatie van de geïnstalleerde Qt(TM)-plugins.

VOORBEELDEN

Toon de hoogste installatiemap van Frameworks:

% kf5-config --prefix

Toon een lijst met alle gegevensbrontypes:

% kf5-config --types

Toon het pad van geïnstalleerde achtergrondafbeeldingen:

% kf5-config --path achtergrondafbeelding

ZIE OOK

kf5options(7)

FOUTEN/BUGS

Niets bekend.

AUTEUR

Stephan Kulow <coolo@kde.org>
    Auteur.